﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication258
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            radDataForm.ItemsSource = new ObservableCollection<MyClass>() { new MyClass() { ID = 2, Name = "item1" } };
            radDataForm.BindingValidationError += new EventHandler<ValidationErrorEventArgs>(radPropertygid_BindingValidationError);
        }

        void radPropertygid_BindingValidationError(object sender, ValidationErrorEventArgs e)
        {
            (e.OriginalSource as TextBox).Text = "0";
            e.Handled = true;
        }
    }

    public class MyClass
    {
        private int id;

        public int ID
        {
            get { return id; }
            set { id = value; }
        }
        
        public string Name { get; set; }
    }
}
